<?php
define('NTLCMS', 1);
$module = 'anketa';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/INFO.class.php');
include ('../system/antidos.php');
$page_title = 'Страница анкеты пользователя - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
if ($_USER['balans'] >= $set['mincost']){
$pay = '<i class="fa fa-rub fa-fw"></i>';
}
$login = isset($_GET['login']) ? filter_var($_GET['login'], FILTER_SANITIZE_STRING) : false;
$sql = DB :: run() -> query("select * from `users` where `login` = ? limit 1", array($login));
if (!DB :: run() -> querySingle("select * from `users` where `login` = ?", array($login))){
$_SESSION['fail'] = 'Пользователь не найден!';
header('Location: '.URL.'/userlist');
} else {
$row = $sql -> fetch(PDO::FETCH_OBJ);
echo '<div class="title"><b>'.razd.' Анкета '.checkout($row -> login).' - (ID '.ints($row -> id).')</b></div>';
if (DB :: run() -> querySingle("select count(`id`) from `ban` where `who` = ?", array($row -> login)) != 0 && $_USER['admin'] != '1'){
echo '<div class="menu"><center>Пользователь заблокирован за нарушение правил!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php'); exit;
}
if ($row -> close == '1' && $_USER['admin'] != '1' && $uslogin != $row -> login){
echo '<div class="menu"><center>Пользователь предпочел скрыть данные!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php'); exit;
}
echo '<div class="menu"><table border="0"><tr><td>';
if ($row -> avatar == '0'){
echo '<figure class="imgteaser"><img src="'.URL.'/style/icons/noavatar.gif" alt="*" style=" width: 110px; height: 110px; border-radius: 3%;"></figure>';
} else {
echo '<figure class="imgteaser"><img src="'.URL.'/avatars/'.checkout($row -> login).'.jpg" alt="*" style=" width: 100px; height: 100px; border-radius: 3%;"></figure>';
}
echo '</td></tr></table></div>';
echo '<div class="gmenu">';
if ($row -> ontime < TIME - 300){
$online = '<span style="color:red">Offline</span>';
} else {
$online = '<span style="color:green">Online</span>';
}
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Логин:</b> '.checkout($row -> login).' <sup>'.$online.'</sup><br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Имя:</b> '.(empty($row -> name) ? 'Незаполнено' : checkout($row -> name)).'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Уровень:</b> '.status($row -> admin).'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Аккаунт:</b> '.($row -> active == '1' ? 'Активирован' : 'Не активирован').'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>'.($row -> sex == '1' ? 'Зарегистрирован' : 'Зарегистрирована').':</b> '.date('d/m/y H:i', $row -> regdate).'<br/>';
echo $row -> invisible == '1' ? '' : '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Посл.вход:</b> '.lasttime($row -> lasttime).'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>'.($row -> sex == '1' ? 'Пробыл' : 'Пробыла').' на сайте:</b> '.timecount($row -> alltime).'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Переходов по сайту:</b> '.ints($row -> cross).'<br/>';

if ($_USER['admin'] == '1') echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Эл.почта:</b> '.(empty($row -> email) ? 'Незаполнена' : checkout($row -> email)).'<br/>';
echo '</div>';
echo '<div class="title"><b>'.razd.' Местоположение</b></div>';
echo '<div class="menu">';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Страна</b>: '.(empty($row -> country) ? 'Нет информации' : checkout($row -> country)).'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Регион</b>: '.(empty($row -> region) ? 'Нет информации' : checkout($row -> region)).'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Город</b>: '.(empty($row -> city) ? 'Нет информации' : checkout($row -> city)).'<br/>';
echo '</div>';
echo '<div class="title"><b>'.razd.' Активность на сайте</b></div>';
$balans = DB::run()->querySingle("SELECT `balans` FROM `users` WHERE `login` = ?", array($row->login));
$usin = DB :: run() -> querySingle("select sum(`summa`) from `money_in` where `login` = ?", array($row -> login));
$usout = DB :: run() -> querySingle("select sum(`money`) from `payment` where `login` = ? and `status` = ?", array($row -> login, on));
$mysites = DB :: run() -> querySingle("select count(`id`) from `sites` where `login` = ?", array($row -> login));
echo '<div class="gmenu">';
if ($_USER['admin'] == '1') echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Баланс:</b> '.money((float)$balans).' '.$pay.'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Пополнено:</b> '.money((int)$usin).' '.$pay.'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Выплачено:</b> '.money((float)$usout).' '.$pay.'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Заработано: '.money(round($row -> allprofit, 4)).'</b>  (Сегодня: '.money(round($row -> myprofit, 4)).' '.$pay.')<br/>';		
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Переходов: '.ints($row -> click_all).'</b> (Сегодня: '.ints($row -> click_day).')<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>'.($row -> sex == '1' ? 'Пригласил' : 'Пригласила').':</b> '.word(ints($row -> ref), 'реферал', 'реферала', 'рефералов').'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>'.($row -> sex == '1' ? 'Добавил' : 'Добавила').':</b> '.word(ints($mysites), 'сайт', 'сайта', 'сайтов').'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Беседка:</b> '.word(ints($row -> postchat), 'пост', 'поста', 'постов').'<br/>';
echo '</div>';
if ($_USER['admin'] == '1'){
echo '<div class="title"><b>'.razd.' Местоположение</b></div>';
$RealIP = explode(',', $row -> real);
$ProxyIP = explode(',', $row -> real);
$detect = new USER_INFO($row -> ua);
echo '<div class="menu">';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Местоположение</b>: '.where($row -> where).'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Агент</b>: '.(empty($row -> ua) ? 'Нет данных' : checkout($row -> ua)).'<br/>';
$a = array('Неопознано', 'Клиентский', 'Мобильный', 'Поисковик'); 
echo '* <b>Тип браузера</b>: '.$a[$detect -> getType()].'<br/>';
echo '* <b>Имя браузера</b>: '.$detect -> getUserAgentName().'<br/>';
echo '* <b>ОС клиента</b>: '.$detect -> getOS().'<br/>';
echo '* <b>Код браузера</b>: '.$detect -> getCode().'<br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Proxy IP</b>: '.(empty($row -> ip) ? 'Нет данных' : '<a href="'.URL.'/_whois'.checkin($row -> ip).'">'.checkout($row -> ip)).'</a><br/>';
echo '<i class="fa fa-dot-circle-o fa-fw"></i> <b>Real IP</b>: '.(empty($RealIP['0']) ? 'Нет данных' : '<a href="'.URL.'/_whois'.checkin($RealIP['0']).'">'.checkout($RealIP['0'])).'</a><br/>';
echo '</div>';
}
if ($row -> login != $ulogin) echo '<div class="menu"><i class="fa fa-pencil-square-o fa-fw"></i> <a href="'.URL.'/newmes-'.checkout($row -> login).'">Написать '.checkout($row -> login).'</a></div>';
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php');
?>